net.snowflake.client.ingest.avro

## Class Row.Builder

- java.lang.Object
- - <any>
  - - net.snowflake.client.ingest.avro.Row.Builder

Enclosing class:
  Row

    public static class Row.Builder
    extends <any>

RecordBuilder for Row instances.

### Method Summary

All Methods Instance Methods Concrete Methods
`Row` `build()`
`Row.Builder` `clearRowId()` Clears the value of the 'rowId' field.
`Row.Builder` `clearRowString()` Clears the value of the 'rowString' field.
`Integer` `getRowId()` Gets the value of the 'rowId' field.
`CharSequence` `getRowString()` Gets the value of the 'rowString' field.
`boolean` `hasRowId()` Checks whether the 'rowId' field has been set.
`boolean` `hasRowString()` Checks whether the 'rowString' field has been set.
`Row.Builder` `setRowId(int value)` Sets the value of the 'rowId' field.
`Row.Builder` `setRowString(CharSequence value)` Sets the value of the 'rowString' field.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getRowId

    public Integer getRowId()

Gets the value of the 'rowId' field.

Returns:
  The value.

#### setRowId

    public Row.Builder setRowId(int value)

Sets the value of the 'rowId' field.

Parameters:
  `value` - The value of 'rowId'.
Returns:
  This builder.

#### hasRowId

    public boolean hasRowId()

Checks whether the 'rowId' field has been set.

Returns:
  True if the 'rowId' field has been set, false otherwise.

#### clearRowId

    public Row.Builder clearRowId()

Clears the value of the 'rowId' field.

Returns:
  This builder.

#### getRowString

    public CharSequence getRowString()

Gets the value of the 'rowString' field.

Returns:
  The value.

#### setRowString

    public Row.Builder setRowString(CharSequence value)

Sets the value of the 'rowString' field.

Parameters:
  `value` - The value of 'rowString'.
Returns:
  This builder.

#### hasRowString

    public boolean hasRowString()

Checks whether the 'rowString' field has been set.

Returns:
  True if the 'rowString' field has been set, false otherwise.

#### clearRowString

    public Row.Builder clearRowString()

Clears the value of the 'rowString' field.

Returns:
  This builder.

#### build

    public Row build()